D is a ZCPR3 directory program that, though under 4K in size, 
provides a number of features not provided by other directory 
utilities.  The display is in lower-case, which makes it more 
readable to most people.  In addition, it shows total disk 
capacity, the total number of bytes used by the displayed files, 
the number of bytes remaining on the disk, and the number of 
remaining directory entries.  It also shows SYS, ARC, R/O, and 
other file attributes, and displays files from all user areas in 
a single listing.

Version 1.5 is now re-entrant so it can be re-run with the "GO" 
command.  D now determines screen width and length and printer 
page length from the environment descriptor, so it should run 
with no problems on laptops, unmodified Osbornes, and 40-column 
Commodore 128's.  Also now runs with no problems under 
Backgrounder ii.

There are four versions of D 1.5 in the distribution library.  
DA15.COM is designed to use dim video highlighting.  D15LBL.COM 
is a special version that looks for and displays CP/M Plus disk 
labels, instead of ZCPR3 named directories.  D15REV.COM is 
designed to use reverse, instead of dim, video.  D15LBLRV.COM 
does both.
